## brltty 2.99.5

=== Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################



# If you would like the driver for your Braille display built into the
# program, then specify it by uncommenting one, and only one, of these
# definitions of BRL_TARGET. If you do not specify the display here,
# then a set of shared libraries, one for each driver, will be made,
# and you will need to specify the display type at run-time via
# either the -b option or the braille-driver directive.
# Note to maintainer:
#    When adding a new target here, add it also to the "BRL_TARGETS =" line.
#BRL_TARGET = Alva
#BRL_TARGET = BrailleLite
#BRL_TARGET = BrailleNote
#BRL_TARGET = CombiBraille
#BRL_TARGET = EcoBraille
#BRL_TARGET = EuroBraille
#BRL_TARGET = HandyTech
#BRL_TARGET = LogText
#BRL_TARGET = MDV
#BRL_TARGET = MiniBraille
#BRL_TARGET = MultiBraille
#BRL_TARGET = Papenmeier
#BRL_TARGET = TSI
#BRL_TARGET = Vario
#BRL_TARGET = Vario-HT
#BRL_TARGET = VideoBraille
#BRL_TARGET = VisioBraille
#BRL_TARGET = Voyager

# Specify the device path for the port your Braille display will
# normally be connected to.  For port com(n), use /dev/ttyS(n-1) -
# e.g. for com1 use /dev/ttyS0
# This specification can be overridden by either the -d option or the
# braille-device directive.
BRLDEV = /dev/ttyS0

# If you would like the driver for your speech interface built into the
# program, then specify it by uncommenting one, and only one, of these
# definitions of SPK_TARGET. If you do not specify the interface here,
# then a set of shared libraries, one for each driver, will be made,
# and you will need to specify the interface type at run-time via either
# the -s option or the speech-driver directive.
# It is safe to leave all of these entries commented out.
# Note: Alva speech is available with Delphi models only.
# Note to maintainer:
#    When adding a new target here, add it also to the "SPK_TARGETS =" line.
#SPK_TARGET = Alva
#SPK_TARGET = BrailleLite
#SPK_TARGET = CombiBraille
#SPK_TARGET = ExternalSpeech
#SPK_TARGET = Festival
#SPK_TARGET = GenericSay
#SPK_TARGET = Televox

# Specify the default, compiled-in, text translation table.  This can be
# overridden at run-time by either the -t option or the text-table directive.
# Uncomment exactly one of the following lines.
# It is safe to leave all of them commented out.
# See the content of the BrailleTables directory for more tables.
#TEXTTRANS = text.danish.tbl      # Danish
#TEXTTRANS = text.es.tbl          # Spanish
#TEXTTRANS = text.french.tbl      # French
#TEXTTRANS = text.german.tbl      # German
#TEXTTRANS = text.it.tbl          # Italian
#TEXTTRANS = text.no-h.tbl        # Norwegian and German
#TEXTTRANS = text.no-p.tbl        # Norwegian
#TEXTTRANS = text.pl-iso02.tbl    # Polish (iso-8859-2)
#TEXTTRANS = text.simple.tbl      # American English
#TEXTTRANS = text.sweden.tbl      # Swedish
#TEXTTRANS = text.swedish.tbl     # Swedish
#TEXTTRANS = text.uk.tbl          # United Kingdom English
#TEXTTRANS = text.us.tbl          # American English

# Specify the default, compiled-in, attributes translation table.  This can be
# overridden at run-time by either the -a option or the attributes-table directive.
# Uncomment exactly one of the following lines.
# See the content of the BrailleTables directory for more tables.
ATTRTRANS = attributes.tbl
#ATTRTRANS = attrib.tbl

# Set INSTALL_ROOT if you need to install BRLTTY into a location which is
# different from the one where it will be run from.
INSTALL_ROOT = 

# Specify the anchor for the installed file hierarchy. Even though this setting
# only determines the location of the installed files, it's important to have
# it set consistently throughout the entire build process so that the various
# components of BRLTTY will know where to find each other.
# NOTE: if you intend to have brltty start up automatically at
# boot-time, the executable and all data files should be in your root
# filesystem.
PREFIX =

# Specify the directory where the executable programs are to be placed:
PROG_DIR = /sbin

# Specify the directory where BRLTTY keeps its translation tables and its
# help files.  If this directory doesn't exist it will be created.
DATA_DIR = /etc/brltty

# Specify the directory where BRLTTY keeps its shared libraries.
# If this directory doesn't exist it will be created.
LIB_DIR = /lib/brltty

# Edit this definition (options for install(1)) if you want to install
# setuid or setgid to allow ordinary users to start it.  For instance,
# to install setuid and executable by anyone, you could use permissions
# 4755 (rwsr-xr-x).
INSTALL_USER = root
INSTALL_GROUP = root
INSTALL_MODE = 0744

# Screen access methods (OS dependent).  Uncomment exactly one of the
# following screen driver definitions (if not sure, don't touch anything).

# The Linux screen driver.
SCR_O = scr_linux.o

# You may define this one as an alternative to the native screen driver for
# your operating system. It works in conjunction with the "screen" package
# to provide access for any UNIX platform which supports IPC (like SVR4).
# See Patches/screen-x.x.x.txt for more information.
# NOTE: This is completely experimental.
#SCR_O = scr_shm.o

# Parameter for the Linux screen driver:
# These are the names by which the character device which BRLTTY uses
# to read the screen under Linux is commonly known.
# If none of them exist during the install, then the first one is created.
# Don't modify this unless you know what you're doing!
VCSADEV = /dev/vcsa /dev/vcsa0 /dev/vcc/a

# The following are compiler settings.  If you don't know what they mean,
# LEAVE THEM ALONE!

# This is for the unlikely case where you would want to use a cross-compiler
# (to compile for another archtecture).
CROSSCOMP=
#CROSSCOMP=arm-linux-

HOSTCC = gcc
CC = $(CROSSCOMP)$(HOSTCC)
HOSTLD = ld
LD = $(CROSSCOMP)$(HOSTLD)

# To compile in a.out (if you use ELF by default), you may be able to use
# `-b i486-linuxaout'; however, you may also need to use the -V flag, or
# possibly a different gcc executable, depending on your setup.

COMMONCFLAGS = -Wall -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE
HOSTCFLAGS = $(COMMONCFLAGS) -O2
#HOSTCFLAGS = $(COMMONCFLAGS) -g
CFLAGS = $(HOSTCFLAGS)
UTILS_CFLAGS = $(CFLAGS)

LIB_CFLAGS = $(CFLAGS) -fPIC
LIB_SO_NAME = libbrltty
LIB_VER = 1

COMPCPP = $(CROSSCOMP)gcc

COMMONLDFLAGS = -rdynamic
LDFLAGS = $(COMMONLDFLAGS) -s
#LDFLAGS = $(COMMONLDFLAGS) -g
LDLIBS = -ldl -lm -lc

MAKE = make

###############################################################################

ifeq ($(TEXTTRANS),)
   TEXTTRANS = text.simple.tbl
endif

INSTALL_EXEC = --owner=$(INSTALL_USER) --group=$(INSTALL_GROUP) --mode=$(INSTALL_MODE)
INSTALL_LIB = --owner=$(INSTALL_USER) --group=$(INSTALL_GROUP) --mode=$(INSTALL_MODE)

INSTALL_DRIVERS =

BRL_TARGETS = Alva BrailleLite BrailleNote CombiBraille EcoBraille EuroBraille HandyTech LogText MDV MiniBraille MultiBraille Papenmeier TSI Vario Vario-HT VideoBraille VisioBraille Voyager
BRL_LIBS = al bl bn cb ec eu ht lt md mn mb pm ts va vh vd vs vo

SPK_TARGETS = Alva BrailleLite CombiBraille ExternalSpeech Festival GenericSay Televox
SPK_LIBS = al bl cb es fv gs tv

ifneq (,$(wildcard /usr/include/eci.h))
SPK_TARGETS += ViaVoice
SPK_LIBS += vv
endif

# ------------------------ DO NOT EDIT BELOW THIS LINE ------------------------


.EXPORT_ALL_VARIABLES:

all: brltty install-brltty txt2hlp brltest scrtest tunetest

install-brltty: install.template
	sed -e 's%=F%$(PREFIX)%g' \
	    -e 's%=P%$(PROG_DIR)%g' \
            -e 's%=L%$(LIB_DIR)%g' \
	    -e 's%=D%$(DATA_DIR)%g' \
            -e 's%=V%$(VCSADEV)%g' \
            $< >$@

SCREEN_OBJECTS = scr.o scr_base.o $(SCR_O)

ifeq ($(SPK_TARGET),)
   INSTALL_DRIVERS = install-drivers
   SPEECH_TARGETS = dynamic-speech
   SPEECH_OBJECTS =
   BUILTIN_SPEECH =
else
   SPEECH_TARGETS = static-speech
   SPEECH_OBJECTS = $(SPK_TARGET)/speech.o 
   BUILTIN_SPEECH = -DSPK_BUILTIN
endif

ifeq ($(BRL_TARGET),)
   INSTALL_DRIVERS = install-drivers
   BRAILLE_TARGETS = dynamic-braille
   BRAILLE_OBJECTS =
   BUILTIN_BRAILLE =
else
   BRAILLE_TARGETS = static-braille
   BRAILLE_OBJECTS = $(BRL_TARGET)/brl.o
   BUILTIN_BRAILLE = -DBRL_BUILTIN
endif

TUNE_OBJECTS = tunes.o tones_speaker.o tones_soundcard.o tones_sequencer.o tones_adlib.o adlib.o

tunes.o: tunes.c tunes.h tones.h common.h misc.h message.h brl.h
	$(CC) $(CFLAGS) -c tunes.c

tones_speaker.o: tones_speaker.c tones.h
	$(CC) $(CFLAGS) -c tones_speaker.c

tones_soundcard.o: tones_soundcard.c tones.h
	$(CC) $(CFLAGS) -c tones_soundcard.c

tones_sequencer.o: tones_sequencer.c tones.h misc.h
	$(CC) $(CFLAGS) -c tones_sequencer.c

tones_adlib.o: tones_adlib.c tones.h adlib.h misc.h
	$(CC) $(CFLAGS) -c tones_adlib.c

adlib.o: adlib.c adlib.h misc.h
	$(CC) $(CFLAGS) -c adlib.c

BRLTTY_OBJECTS = main.o config.o route.o misc.o $(TUNE_OBJECTS) cut.o spk_load.o brl_load.o

brltty-static: $(BRLTTY_OBJECTS) $(SCREEN_OBJECTS) $(SPEECH_TARGETS) $(BRAILLE_TARGETS)
	$(CC) $(LDFLAGS) -static -Wl,--export-dynamic,-rpath,$(LIB_DIR) -o $@ \
	  $(BRLTTY_OBJECTS) $(SCREEN_OBJECTS) $(SPEECH_OBJECTS) $(BRAILLE_OBJECTS) $(LDLIBS)

brltty: $(BRLTTY_OBJECTS) $(SCREEN_OBJECTS) $(SPEECH_TARGETS) $(BRAILLE_TARGETS)
	$(CC) $(LDFLAGS) -Wl,-rpath,$(LIB_DIR) -o $@ \
	  $(BRLTTY_OBJECTS) $(SCREEN_OBJECTS) $(SPEECH_OBJECTS) $(BRAILLE_OBJECTS) $(LDLIBS)

main.o: main.c brl.h spk.h scr.h tunes.h cut.h route.h \
	misc.h message.h config.h common.h
	$(CC) $(CFLAGS) -c main.c

config.o: config.c config.h brl.h spk.h scr.h tunes.h message.h misc.h common.h
	$(CC) $(CFLAGS) \
		'-DHOME_DIR="$(PREFIX)$(DATA_DIR)"' \
		'-DBRLLIBS="$(BRL_LIBS)"' \
		'-DSPKLIBS="$(SPK_LIBS)"' \
		'-DBRLDEV="$(BRLDEV)"' -c config.c

route.o: route.c route.h scr.h misc.h
	$(CC) $(CFLAGS) -c route.c

misc.o: misc.c misc.h config.h brl.h common.h
	$(CC) $(CFLAGS) -c misc.c

cut.o: cut.c cut.h tunes.h scr.h
	$(CC) $(CFLAGS) -c cut.c

spk_load.o: spk_load.c spk.h brl.h misc.h
	$(CC) $(CFLAGS) '-DLIB_PATH="$(LIB_DIR)"' $(BUILTIN_SPEECH) -c spk_load.c 

dynamic-speech:
	rm -f lib/brltty-spk.lst
	for target in $(SPK_TARGETS); \
	do $(MAKE) -C $$target speech-driver spk-lib-name || exit 1; \
	done

static-speech:
	$(MAKE) -C $(SPK_TARGET) speech.o

brl_load.o: brl_load.c brl.h misc.h message.h text.auto.h attrib.auto.h cmds.auto.h
	$(CC) $(CFLAGS) '-DLIB_PATH="$(LIB_DIR)"' $(BUILTIN_BRAILLE) -c brl_load.c 

dynamic-braille: txt2hlp
	rm -f lib/brltty-brl.lst
	for target in $(BRL_TARGETS); \
	do $(MAKE) -C $$target braille-driver braille-help brl-lib-name || exit 1; \
	done

static-braille: txt2hlp
	$(MAKE) -C $(BRL_TARGET) brl.o braille-help

scr.o: scr.cc scr.h scr_base.h config.h
	$(COMPCPP) $(CFLAGS) -c scr.cc

scr_base.o: scr_base.cc scr.h scr_base.h route.h help.h misc.h config.h
	$(COMPCPP) $(CFLAGS) -c scr_base.cc

scr_linux.o: scr_linux.cc scr_linux.h scr.h scr_base.h
	$(COMPCPP) $(CFLAGS) '-DVCSADEV="$(VCSADEV)"' -c scr_linux.cc

scr_shm.o: scr_shm.cc scr_shm.h scr.h scr_base.h config.h
	$(COMPCPP) -D_XOPEN_SOURCE $(CFLAGS) -c scr_shm.cc

speech:
	$(MAKE) -C $(SPK_TARGET) speech.o

check-brltest:
	$(MAKE) distclean
	for target in $(BRL_TARGETS); \
	do $(MAKE) BRL_TARGET=$$target brltest || exit 99; \
	   $(MAKE) distclean; \
	done

BRLTEST_OBJECTS = brltest.o misc.o brl_load.o
brltest: $(BRLTEST_OBJECTS) $(BRAILLE_TARGETS)

=== Alva/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
#
# Makefile for BRLTTY Alva driver
# All variables are defined in the main Makefile...
#
###############################################################################


# Uncomment next line if you want to use the parallel port interface
# and you configured USE_PARALLEL_PORT to 1 in brlconf.h
# Comment it out if you are compiling on a non-i386 architecture.
# Note that this option uses an extra library.  See README for details.
#ALVALIB = alva_api.library/alva_api.a
ALVALIB =

DRIVER_CODE = al
DRIVER_NAME = Alva
BRAILLE_MODELS = ABT3xx, Delphi, Satellite
SPEECH_MODELS = Delphi
include ../driver.mk

brlmain.o: brlmain.cc brlconf.h ../brl_driver.h ../brl.h ../misc.h ../scr.h ../config.h ../common.h
	$(COMPCPP) $(BRL_CFLAGS) -c brlmain.cc

brl.o: brlmain.o $(ALVALIB)
	$(LD) -r -o brl.o brlmain.o $(ALVALIB)

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h brlconf.h
	$(CC) $(SPK_CFLAGS) -c speech.c

=== BrailleLite/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for the BrailleLite driver
#
# This Makefile is passed the variables CC, CFLAGS, LD, LDFLAGS, and LDLIBS
###############################################################################

DRIVER_CODE = bl
DRIVER_NAME = BrailleLite
BRAILLE_MODELS = 18/40
SPEECH_MODELS = 
HELPTARGETS = brlttyhelp0.txt brlttyhelp1.txt
include ../driver.mk

brl.o: brl.c ../brl.h ../misc.h ../scr.h ../message.h \
	../config.h brlconf.h ../brl_driver.h bindings.h
	$(CC) $(BRL_CFLAGS) -c brl.c

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h brlconf.h
	$(CC) $(SPK_CFLAGS) -c speech.c

brlttyhelp0.txt: brltty_genhelp.txt
	sed 's/<x20>\(.*\)$$/\1/' < brltty_genhelp.txt \
	| grep -Ev '<x40>.*$$' > brlttyhelp0.txt

brlttyhelp1.txt: brltty_genhelp.txt
	sed 's/<x40>\(.*\)$$/\1/' < brltty_genhelp.txt \
	| grep -Ev '<x20>.*$$' > brlttyhelp1.txt

distclean:
	rm -f brlttyhelp0.txt brlttyhelp1.txt

=== BrailleNote/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for BRLTTY's driver for Pulse Data International's Braille Note.
#
# This Makefile is passed the variables CC, CFLAGS, LD, LDFLAGS, and LDLIBS
###############################################################################

DRIVER_CODE = bn
DRIVER_NAME = BrailleNote
BRAILLE_MODELS = 18/32
include ../driver.mk

brl.o: brl.c ../brl.h ../misc.h brlconf.h ../brl_driver.h
	$(CC) $(BRL_CFLAGS) -c brl.c

=== BrailleTables/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

# This Makefile produces some tools to manipulate braille definition tables
# used by BRLTTY.
###############################################################################


TOOLS = tbl2txt txt2tbl tbl2tbl ibm437toiso ibm850toiso

UCDIR = ../Unicode
UCOBJ = $(UCDIR)/unicode.o
UCHDR = $(UCDIR)/unicode.h

CC = gcc
CFLAGS = -O2 -Wall
LD = $(CC)
LDFLAGS = -s


all: $(TOOLS)

tbl2txt: tbl2txt.o $(UCOBJ)

tbl2txt.o: tbl2txt.c $(UCHDR)

txt2tbl: txt2tbl.c

tbl2tbl: tbl2tbl.c

ibm437toiso: ibm437toiso.c

ibm850toiso: ibm850toiso.c

$(UCOBJ):
	$(MAKE) -C $(UCDIR)

clean:
	rm -f *.o *~

distclean: clean
	rm -f $(TOOLS)

=== CombiBraille/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for the Tieman B.V. CombiBraille driver
# $Id: Makefile,v 1.1 1996/09/25 00:26:28 nn201 Exp $
#
# This Makefile is passed the variables CC, CFLAGS, LD, LDFLAGS, and LDLIBS
###############################################################################

DRIVER_CODE = cb
DRIVER_NAME = CombiBraille
BRAILLE_MODELS = 25/45/85
SPEECH_MODELS = 
include ../driver.mk

brl.o: brl.c ../brl.h ../misc.h brlconf.h ../brl_driver.h cmdtrans.h
	$(CC) $(BRL_CFLAGS) -c brl.c

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h brlconf.h
	$(CC) $(SPK_CFLAGS) -c speech.c

=== DOCS/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

all: en ger

en: en_txt en_html

en_txt: Manual.txt

en_chk: Manual.txt
	ul -t dumb Manual.txt | spell -p en.dict -w ''

Manual.txt: Manual.sgml
	sgml2txt -l english -c latin Manual.sgml

en_html: Manual.sgml
	cd Manual-HTML; \
	sgml2html -l english -c ascii ../Manual.sgml

ger: ger_txt ger_html

ger_txt: Manual.sgml
	sgml2txt -l german -c latin Manual-ger.sgml

ger_html: Manual-ger.sgml
	cd Manual-ger-HTML; \
	sgml2html -l german -c ascii ../Manual-ger.sgml

clean:
	rm -f Manual.txt Manual-ger.txt Manual-HTML/* Manual-ger-HTML/*

=== EcoBraille/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
#
# Makefile for BRLTTY Eco driver
# All variables are defined in the main Makefile...
#
###############################################################################

DRIVER_CODE = ec
DRIVER_NAME = EcoBraille
BRAILLE_MODELS = 20/40/80
include ../driver.mk

brl.o: brl.c brlconf.h ../brl_driver.h ../brl.h ../misc.h ../scr.h ../config.h
	$(CC) $(BRL_CFLAGS) -c brl.c

=== EuroBraille/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
#
# Makefile for BRLTTY EuroBraille driver
# All variables are defined in the main Makefile...
#
###############################################################################

DRIVER_CODE = eu
DRIVER_NAME = EuroBraille
BRAILLE_MODELS = Clio-noteBraille 40
include ../driver.mk

brl.o: brl.c brlconf.h ../brl_driver.h ../brl.h ../misc.h ../scr.h ../config.h
	$(CC) $(BRL_CFLAGS) -c brl.c

=== ExternalSpeech/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for BRLTTY driver for Viavoice text-to-speech library
#
# It is passed the variables CC, CFLAGS, LD, LDFLAGS, LDLIBS and BRLDEV
# from the main Makefile...
###############################################################################

DRIVER_CODE = es
DRIVER_NAME = External Speech
SPEECH_MODELS = 
include ../driver.mk

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h ../config.h
	$(CC) $(SPK_CFLAGS) -c speech.c

=== Festival/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for BRLTTY general speech drivers
#
# It is passed the variables CC, CFLAGS, LD, LDFLAGS, LDLIBS and BRLDEV
# from the main Makefile...
###############################################################################

DRIVER_CODE = fv
DRIVER_NAME = Festival Text to Speech Package
SPEECH_MODELS = 
include ../driver.mk

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h ../config.h
	$(CC) $(SPK_CFLAGS) -c speech.c

=== GenericSay/Makefile ===
###############################################################################
# BRLTTY - A background process providing access to the Linux console (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation.  Please see the file COPYING for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

###############################################################################
# Makefile for BRLTTY general speech drivers
#
# It is passed the variables CC, CFLAGS, LD, LDFLAGS, LDLIBS and BRLDEV
# from the main Makefile...
###############################################################################

DRIVER_CODE = gs
DRIVER_NAME = Generic Say (pipes to /usr/local/bin/say)
SPEECH_MODELS = 
include ../driver.mk

speech.o: speech.c speech.h ../spk.h ../spk_driver.h ../misc.h ../config.h
	$(CC) $(SPK_CFLAGS) -c speech.c

## brltty 4.0~svn4301-0ubuntu4

=== debian/changelog ===
brltty (4.0~svn4301-0ubuntu4) jaunty; urgency=low

  * debian/brltty.init: Only replace brltty.conf if the md5sum of the existing
    file is the same as what was shipped with the package.
  * debian/rules: Put the md5sum of brltty.conf into the newly installed init
    file.
  * debian/brltty-udeb.prebaseconfig: Enable BrlTTY at startup on the target
    system. (LP: #299989)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 18 Mar 2009 13:59:20 +1100

brltty (4.0~svn4301-0ubuntu3) jaunty; urgency=low

  * Build for python2.6.
  * Bindings/Python/Makefile.in: Don't build with --quiet, call install
    with --install-layout=deb.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 21:37:10 +0100

brltty (4.0~svn4301-0ubuntu2) jaunty; urgency=low

  * debian/brltty-udeb.udev.rules: Use the hm driver for the BrailleSense

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Feb 2009 09:58:49 +1100

brltty (4.0~svn4301-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot to fix a few bugs, and to add support for
    a new Braille display.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Feb 2009 09:31:50 +1100

brltty (4.0~svn4289-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot
  * debian/rules:
    - Point to new location for README files for braille drivers.
    - Table data files have a different extension, so point to new files
      for processing for the udeb.
  * debian/control: Refer explicitly to libbluetooth-dev.
  * debian/brltty-udeb.udev.rules: Updated to match the IDs in upstream's
    rules file.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 13 Feb 2009 16:52:05 +1100

brltty (3.10-0ubuntu3) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d
  * debian/brltty.dirs: Create new path instead
  * debian/brltty-udeb.dirs: Create new path instead
  * debian/brltty.preinst: Remove the old rules if unmodified
  * debian/control: Add Breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 16:44:58 +0000

brltty (3.10-0ubuntu2) intrepid; urgency=low

  * Configure the udeb with --disable-x rather than --without-x.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Aug 2008 01:45:07 +0100

brltty (3.10-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * debian/brltty.manpages: Adjust location of vstp manpage.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2008 10:57:34 +1000

brltty (3.10~r3724-1ubuntu5) intrepid; urgency=low

  * Set java include directory and java path. 

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 07:27:33 +0000

brltty (3.10~r3724-1ubuntu4) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 06:36:12 +0000

brltty (3.10~r3724-1ubuntu3) intrepid; urgency=low

  * debian/control
    - Depend on lsb-base >= 3.2-14, providing status_of_proc()
    - Bump Standards-Version to 3.8.0
  * debian/brltty.init
    - Add the 'status' action (LP: #251626)

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 24 Jul 2008 16:15:45 -0500

brltty (3.10~r3724-1ubuntu2) intrepid; urgency=low

  * Rebuild for libgpmg1 -> libgpm2 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 20 Jul 2008 05:24:35 +1000

brltty (3.10~r3724-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Conflicts: libbrlapi, libbrlapi-dev, libbrlapi1-dev.
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Change maintainer to Ubuntu Accessibility Developers
      <ubuntu-accessibility-devel@lists.ubuntu.com>
    - Disable BrlTTY grabbing devices that use the FTDI USB to serial chip.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 04 Jun 2008 14:53:31 +1000

brltty (3.10~r3724-1) unstable; urgency=low

  * New subversion snapshot, fixing FTBFS (Closes: Bug#482205).

 -- Mario Lang <mlang@debian.org>  Thu, 22 May 2008 18:37:09 +0200

brltty (3.10~r3715-1) unstable; urgency=low

  * New subversion snapshot with minor fixes.
  * Clean up the multi binary package handling a bit, now installing
    non-udeb build to debian/tmp.
  * debian/brlapi0.5-dev.copyright: Renamed to libbrlapi-dev.copyright so
    that it gets installed.
  * Use upstream rules to install man3 manpages (Closes: Bug#479754).
  * No longer ship brltty-config, it used to be wrong and I don't
    see a single use-case for it.
  * debian/brltty.conf: Deleted, unused.

 -- Mario Lang <mlang@debian.org>  Fri, 09 May 2008 16:51:16 +0200

brltty (3.10~r3710-1) unstable; urgency=low

  * New subversion snapshot, target for unstable after good test results.
  * Disable the Java bindings on alpha and hppa (in addition to the
    already disabled archs) (Closes: Bug#477848).

 -- Mario Lang <mlang@debian.org>  Sun, 04 May 2008 22:06:34 +0200

brltty (3.10~r3666-1) experimental; urgency=low

  * New subversion snapshot.
  * Build-Depend on libicu-dev but disable icu in the udeb build
    (Closes: Bug#475604).

 -- Mario Lang <mlang@debian.org>  Tue, 15 Apr 2008 23:27:18 +0200

brltty (3.10~r3662-2) experimental; urgency=low

  * Add --disable-iconv to udeb configure options (Closes: Bug#475612).

 -- Mario Lang <mlang@debian.org>  Sun, 13 Apr 2008 20:18:31 +0200



=== debian/control ===
Source: brltty
Section: admin
Priority: extra
Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>= 4.2),
               python-support,
               python-all-dev (>= 2.5.2),
               python-pyrex,
               libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libicu-dev,
               default-jdk [!alpha !arm !hppa !hurd-i386 !m68k],
               bison, doxygen, linuxdoc-tools, groff,
               flite1-dev, libncurses5-dev, libxaw7-dev, libatspi-dev,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.0

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), lsb-base (>= 3.2-14)
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: libbrlapi-dev, festival, brltty-flite, brltty-x11
Breaks: udev (<< 136-1)
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva (ABT3xx/Delphi)
  * Baum
  * BrailleLite (18/40)
  * BrailleNote (18/32)
  * EcoBraille displays
  * EuroBraille displays
  * Freedom Scientific (Focus and PacMate)
  * HandyTech (all models)
  * LogText 32
  * MDV braille displays
  * Papenmeier
  * Tieman Voyager 44/70 (USB), CombiBraille, MiniBraille and MultiBraille
  * Tivomatic (Albatross)
  * TSI (PowerBraille/Navigator)
  * Videobraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.5.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in libbrlapi-java (Java)  and
 python-brlapi (Python).

Package: libbrlapi0.5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbrlapi, libbrlapi1-dev
Description: braille display access via BRLTTY - shared library
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Section: libdevel
Depends: libbrlapi0.5 (>= ${source:Version}), libc6-dev
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Java bindings for BrlAPI (native library)
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: libs
Depends: libbrlapi-jni (>= ${source:Version}),
         default-jre | java2-runtime
Description: Java bindings for BrlAPI
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.

Package: brltty-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional drivers which require X11 or GNOME.

Package: python-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for BrlAPI
 This package provides a Python module to access a braille display.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JHOME=/usr/lib/jvm/default-java

PACKAGE=brltty
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
# gcj does not work on alpha
ifeq ($(DEB_HOST_ARCH),alpha)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif
# gcj does not work on arm
ifeq ($(DEB_HOST_ARCH),arm)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif
# gcj does not work on hppa
ifeq ($(DEB_HOST_ARCH),hppa)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif
# the same seems to hold for m68k (200712)
ifeq ($(DEB_HOST_ARCH),m68k)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif
# hurd-i386 as well(200803)
ifeq ($(DEB_HOST_ARCH),hurd-i386)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif

PATH := $(JHOME)/bin:$(PATH)

DEB_CFLAGS= -I$(JHOME)/include -I$(JHOME)/include/linux
UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
UDEB_DISABLE=speech-support pcm-support midi-support fm-support contracted-braille \
	api pm-configfile gpm iconv icu x
UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
	--with-braille-device=usb: --with-screen-driver=-as,-sc,all \
	--without-init-path --without-curses \
	$(patsubst %,--disable-%,$(UDEB_DISABLE))
UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

PYVERS := $(shell pyversions -vr)
PYOTHERS:= $(filter-out $(shell pyversions -vd), $(PYVERS))

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-*stamp
	rm -rf build-brltty* build-py*
	rm -f Bindings/Python/bindings.o
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub acdir/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess acdir/config.guess

	dh_clean

configure: build-brltty/config.status
build-brltty/config.status:
	mkdir build-brltty
	cd build-brltty && CFLAGS="$(DEB_CFLAGS)" ../configure --bindir=/sbin --mandir=/usr/share/man \
		--without-speechd \
		--without-viavoice --without-theta --without-swift

build-otherpy: $(PYOTHERS:%=build-py%-stamp)
build-py%-stamp:
	mkdir -p build-py$*
	cd build-py$* && PYTHON=python$* CFLAGS="$(DEB_CFLAGS)" ../configure --bindir=/sbin --mandir=/usr/share/man \
		--without-speechd \
		--without-viavoice --without-theta --without-swift
	$(MAKE) -C build-py$*/Bindings/Python \
		PYTHON=/usr/bin/python$* \
		PYTHON_VERSION=$* \
		PYTHON_CPPFLAGS='-I/usr/include/python$*' \
		PYTHON_LIBS='-L/usr/lib/python$*/config -lpython$*' \
		PYTHON_SITE_PKG=$(call py_libdir,$*)
	touch $@

configure-udeb: build-brltty-udeb/config.status
build-brltty-udeb/config.status:
	mkdir build-brltty-udeb
	cd build-brltty-udeb && \
	CFLAGS="$(UDEB_CFLAGS)" ../configure --bindir=/sbin \
		$(UDEB_CONFIGURE_OPTIONS)

build: build-brltty build-udeb build-otherpy

build-brltty: build-stamp
build-stamp: configure
	dh_testdir

	$(MAKE) -C build-brltty
	$(MAKE) -C build-brltty/Documents

	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp: configure-udeb
	dh_testdir

	$(MAKE) -C build-brltty-udeb

	touch $@

# Build architecture-independent files here.
binary-indep: ;
# We have nothing to do here.

# Build architecture-dependent files here.
binary-arch: brltty brltty-udeb

brltty: build-brltty build-otherpy
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-brltty/Documents
	$(MAKE) -C build-brltty install INSTALL_ROOT=`pwd`/debian/tmp
	for pv in $(PYOTHERS); do \
	  $(MAKE) -C build-py$$pv/Bindings/Python install \
	    INSTALL_ROOT=`pwd`/debian/tmp \
	    PYTHON=/usr/bin/python$$pv; \
	done
	dh_install	
	dh_installdocs
	dh_installexamples -p$@
	for file in Drivers/Braille/*/README*; \
		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
		done
	cp debian/brltty-udeb.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
	cp debian/brltty-udeb.sh debian/$@/lib/brltty/brltty.sh
	chmod +x debian/$@/lib/brltty/brltty.sh
	cp debian/brltty-setup debian/$@/sbin/
	chmod +x debian/$@/sbin/brltty-setup
	cp debian/brltty.initramfs-sh debian/$@/usr/share/brltty/initramfs/brltty.sh
	chmod +x debian/$@/usr/share/brltty/initramfs/brltty.sh
	cp debian/brltty.initramfs-hook debian/$@/usr/share/initramfs-tools/hooks/brltty
	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
	cp debian/brltty.initramfs-top debian/$@/usr/share/initramfs-tools/scripts/init-top/brltty
	chmod +x debian/$@/usr/share/initramfs-tools/scripts/init-top/brltty
	mkdir -p debian/$@/usr/lib/ubiquity/target-config
	cp debian/brltty.ubiquity debian/$@/usr/lib/ubiquity/target-config/31brltty
	chmod +x debian/$@/usr/lib/ubiquity/target-config/31brltty
	# -r because we don't want to lose the console on an upgrade
	dh_installinit -p$@ -r -- start 25 S .
	# Get md5sum of brltty.conf and adjust the init script appropriately
	sed -i -e "s/@MD5SUM@/$(shell md5sum build-brltty/Documents/brltty.conf | cut -f 1 -d ' ')/g" \
	    debian/brltty/etc/init.d/brltty
	dh_installchangelogs Documents/ChangeLog
	dh_installman
	dh_pysupport -ppython-brlapi
	mv debian/brltty/lib/brltty/libbrlttysfl.so \
		debian/brltty-flite/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttybxw.so \
		debian/brltty-x11/lib/brltty
	mv debian/brltty/etc/brltty/brltty-xw.hlp \
		debian/brltty-x11/etc/brltty
	mv debian/brltty/usr/share/doc/brltty/XWindow.README \
		debian/brltty-x11/usr/share/doc/brltty-x11/
	mv debian/brltty/lib/brltty/libbrlttyxas.so \
		debian/brltty-x11/lib/brltty
ifneq ($(DISABLE_JAVA_SUPPORT),1)
	mv debian/tmp/usr/share/java/brlapi.jar \
		debian/libbrlapi-java/usr/share/java
	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
endif
	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
#	dh_lisp -pcl-brlapi
	dh_link -p$@ -plibbrlapi0.5 -plibbrlapi-dev
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -n -p$@
	dh_makeshlibs -a -Nbrltty-udeb
	dh_installdeb -a -i -Nbrltty-udeb
	dh_shlibdeps -a -Nbrltty-udeb
	dh_gencontrol -a -i -Nbrltty-udeb
	dh_md5sums -a -i -Nbrltty-udeb
	dh_builddeb -a -i -Nbrltty-udeb

brltty-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_installdirs -pbrltty-udeb

	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb

	# temporary fix
	rm -Rf debian/brltty-udeb/share

	cp debian/brltty-udeb.prebaseconfig debian/brltty-udeb/usr/lib/finish-install.d/05brltty
	chmod 0755 debian/brltty-udeb/usr/lib/finish-install.d/05brltty
	rm -f debian/brltty-udeb/sbin/brltty-*
	rm -Rf debian/brltty-udeb/usr/share
	# Strip comments from translation tables
	cd debian/brltty-udeb/etc/brltty && \
		for file in *.ttb; do \
			sed 's/ *#.*//' $$file >$$file.tmp && \
			mv $$file.tmp $$file; \
		done
	# It is sad, but help files are not really essential, but they are
	# fairly large.
	rm debian/brltty-udeb/etc/brltty/*.hlp
	#rm -Rf debian/brltty-udeb/lib
	cp debian/brltty-udeb.init debian/$@/lib/debian-installer-startup.d/S37brltty
	chmod +x debian/$@/lib/debian-installer-startup.d/S37brltty
	cp debian/brltty-udeb.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
	cp debian/brltty-setup debian/$@/sbin/
	chmod +x debian/$@/sbin/brltty-setup
	cp debian/brltty-udeb.sh debian/$@/lib/brltty/brltty.sh
	chmod +x debian/$@/lib/brltty/brltty.sh
	dh_strip -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_builddeb -p$@

.PHONY: brltty brltty-udeb build build-brltty build-udeb clean binary-indep binary-arch binary

## brltty 4.1

=== Drivers/Braille/IrisLinux/iris-gio/Makefile ===
obj-m += iris_gio.o
